## org.eclipse.datatools.modelbase.sql.query
Class OrderingSpecType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.OrderingSpecType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class OrderingSpecType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Ordering Spec Type', and utility methods for working with them.

See Also:
  `SQLQueryModelPackage.getOrderingSpecType()`, Serialized Form

Field Summary
`static int` `ASC` The 'ASC' literal value.
`static OrderingSpecType` `ASC_LITERAL` The 'ASC' literal object.
`static int` `DESC` The 'DESC' literal value.
`static OrderingSpecType` `DESC_LITERAL` The 'DESC' literal object.
`static int` `NONE` The 'NONE' literal value.
`static OrderingSpecType` `NONE_LITERAL` The 'NONE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Ordering Spec Type' enumerators.

Method Summary
`static OrderingSpecType` `get(int value)` Returns the 'Ordering Spec Type' literal with the specified integer value.
`static OrderingSpecType` `get(java.lang.String literal)` Returns the 'Ordering Spec Type' literal with the specified literal value.
`static OrderingSpecType` `getByName(java.lang.String name)` Returns the 'Ordering Spec Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The 'NONE' literal value.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE_LITERAL`, Constant Field Values

### ASC

    public static final int ASC

  The 'ASC' literal value.

  If the meaning of 'ASC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ASC_LITERAL`, Constant Field Values

### DESC

    public static final int DESC

  The 'DESC' literal value.

  If the meaning of 'DESC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DESC_LITERAL`, Constant Field Values

### NONE_LITERAL

    public static final OrderingSpecType NONE_LITERAL

  The 'NONE' literal object.

  See Also:
    `NONE`

### ASC_LITERAL

    public static final OrderingSpecType ASC_LITERAL

  The 'ASC' literal object.

  See Also:
    `ASC`

### DESC_LITERAL

    public static final OrderingSpecType DESC_LITERAL

  The 'DESC' literal object.

  See Also:
    `DESC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Ordering Spec Type' enumerators.

Method Detail

### get

    public static OrderingSpecType get(java.lang.String literal)

  Returns the 'Ordering Spec Type' literal with the specified literal value.

### getByName

    public static OrderingSpecType getByName(java.lang.String name)

  Returns the 'Ordering Spec Type' literal with the specified name.

### get

    public static OrderingSpecType get(int value)

  Returns the 'Ordering Spec Type' literal with the specified integer value.